Org settings, dashboards & reporting

Update Onboarding Source

Validates and stores the selected employee or payroll sync source in the org onboarding state.

POSThttps://api.toku.com/stablecoin-payroll/update-onboarding-source

Not available to API keys yet. It will need organization:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-onboarding-source' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "sourceType": "employee",
  "source": "string"
}'
200 response
{
  "success": true,
  "onboardingState": {
    "selectNetworksAndStablecoinsState": "string",
    "addEmployeesState": "string",
    "addEmployeesOverride": true,
    "employeeSource": "CSV_UPLOAD",
    "inviteEmployeesState": "string",
    "inviteAdminsState": "string",
    "inviteAdminsOverride": true,
    "addPayrollIntegrationState": "string",
    "addPayrollIntegrationOverride": true,
    "payrollSource": "CSV_UPLOAD",
    "configurePayrollSettingsState": "string",
    "configurePayrollSettingsOverride": true,
    "addPaymentIntegrationState": "string",
    "paymentIntegrationProvider": "BRIDGE",
    "updatedAt": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

sourceTypestringrequired

Available options: employee, payroll

sourcestringrequired

Allowed: 1 to 100 characters

Response

200Successful response
successbooleanrequired
onboardingStateobjectrequired
Show child attributes
selectNetworksAndStablecoinsStatestringrequired
addEmployeesStatestringrequired
addEmployeesOverridebooleanrequired
employeeSourcestring | nullrequired

Available options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, DEEL, BAMBOOHR, IMPORTED, OTHER, null

inviteEmployeesStatestringrequired
inviteAdminsStatestringrequired
inviteAdminsOverridebooleanrequired
addPayrollIntegrationStatestringrequired
addPayrollIntegrationOverridebooleanrequired
payrollSourcestring | nullrequired

Available options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, IMPORTED, OTHER, null

configurePayrollSettingsStatestringrequired
configurePayrollSettingsOverridebooleanrequired
addPaymentIntegrationStatestringrequired
paymentIntegrationProviderstring | nullrequired

Available options: BRIDGE, FIREBLOCKS, SQUADS, COINBASE_PRIME, MANUAL, null

updatedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits